/*
 * ForceMatrix.hpp
 *
 *  Created on: Sep 15, 2011
 *      Author: heber
 */

#ifndef FORCEMATRIX_HPP_
#define FORCEMATRIX_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "MatrixContainer.hpp"

class KeySetsContainer;

/** Represents a parsed force matrix.
 *
 */
class ForceMatrix : public MatrixContainer {
  public:
    bool ParseIndices(const KeySetsContainer &ForceKeySet);
    bool ParseIndices(const char *name);
    bool SumSubForces(class ForceMatrix &Fragments, class KeySetsContainer &KeySets, int Order, double sign);
    bool ParseFragmentMatrix(const char *name, const char *prefix, std::string suffix, int skiplines, int skipcolumns);
};


#endif /* FORCEMATRIX_HPP_ */
